Bug 1062390 - dnf.rpmUtils.arch.getBaseArch() doesn't return identical results to yum's rpmUtils.arch.getBaseArch()
Summary: dnf.rpmUtils.arch.getBaseArch() doesn't return identical results to yum's rpm...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 19:09 UTC by Daniel Mach
Modified: 2014-02-17 21:02 UTC (History)
4 users (show)

Fixed In Version: dnf-0.4.14-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-17 21:02:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Mach 2014-02-06 19:09:51 UTC
Reproducer:
import rpmUtils.arch
import dnf.rpmUtils.arch

print "getBaseArch('ppc64p7')"
print "YUM", rpmUtils.arch.getBaseArch("ppc64p7")
print "DNF", dnf.rpmUtils.arch.getBaseArch("ppc64p7")

print

print "getBaseArch('ppc64')"
print "YUM", rpmUtils.arch.getBaseArch("ppc64")
print "DNF", dnf.rpmUtils.arch.getBaseArch("ppc64")


Output:
getBaseArch('ppc64p7')
YUM ppc64
DNF ppc64p7

getBaseArch('ppc64')
YUM ppc64
DNF ppc


Expected behaviour:
dnf and yum should behave identically
yum behaviour looks correct to me

Comment 1 Daniel Mach 2014-02-07 14:14:46 UTC
Proposed fixes:
https://github.com/akozumpl/dnf/pull/81

Comment 2 Ales Kozumplik 2014-02-10 09:16:53 UTC
Thank you Dan, I attached some minor comments there.

Comment 3 Ales Kozumplik 2014-02-12 16:34:09 UTC
The fix has been merged: f52e254

Comment 4 Fedora Update System 2014-02-13 08:25:59 UTC
dnf-0.4.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.14-1.fc20

Comment 5 Fedora Update System 2014-02-14 07:57:00 UTC
Package dnf-0.4.14-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.14-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2471/dnf-0.4.14-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-02-17 21:02:59 UTC
dnf-0.4.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.